Package org.apache.felix.http.base.internal.runtime

## Class ServletInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<javax.servlet.Servlet>
    - - org.apache.felix.http.base.internal.runtime.ServletInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<javax.servlet.Servlet>>`

    public class ServletInfo
    extends WhiteboardServiceInfo<javax.servlet.Servlet>

Provides registration information for a `Servlet`, and is used to programmatically register `Servlet`s.

This class only provides information used at registration time, and as such differs slightly from `DTO`s like, `ServletDTO`.

### Constructor Summary

Constructors
`ServletInfo​(String name, String pattern, Map<String,​String> initParams)` Constructor for Http Service
`ServletInfo​(ResourceInfo resource)`
`ServletInfo​(org.osgi.framework.ServiceReference<javax.servlet.Servlet> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getErrorPage()`
`Map<String,​String>` `getInitParameters()` Returns an unmodifiable map of the init parameters.
`MultipartConfig` `getMultipartConfig()`
`String` `getName()`
`String[]` `getPatterns()`
`String` `getPrefix()`
`boolean` `isAsyncSupported()`
`boolean` `isResource()`
`boolean` `isSame​(AbstractInfo<javax.servlet.Servlet> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletInfo

    public ServletInfo​(org.osgi.framework.ServiceReference<javax.servlet.Servlet> ref)

#### ServletInfo

    public ServletInfo​(ResourceInfo resource)

#### ServletInfo

    public ServletInfo​(String name,
                       String pattern,
                       Map<String,​String> initParams)

Constructor for Http Service

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<javax.servlet.Servlet>`

#### getName

    public String getName()

#### getPatterns

    public String[] getPatterns()

#### getErrorPage

    public String[] getErrorPage()

#### isAsyncSupported

    public boolean isAsyncSupported()

#### getInitParameters

    public Map<String,​String> getInitParameters()

Returns an unmodifiable map of the init parameters.

Returns:

#### isResource

    public boolean isResource()

#### getPrefix

    public String getPrefix()

#### getMultipartConfig

    public MultipartConfig getMultipartConfig()

#### isSame

    public boolean isSame​(AbstractInfo<javax.servlet.Servlet> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<javax.servlet.Servlet>`